Subject: Re: bug#8358: 24.0.50; `minibuffer-scroll-window' with active minibuffer: always *Completions*?

From: martin rudalics <[email-masked]>
Date: Mon, 28 Mar 2011 08:34:23 +0200

> I looked at the code in minibuffer.el and window.c to try to understand
 > where `minibuffer-scroll-window' is getting reset (to *Completions*),
 > but I haven't understood, so far.

`with-output-to-temp-buffer' which displays the *Completions* buffer
sets `minibuffer-scroll-window' to the window showing *Completions*.
This happens _after_ running `completion-setup-hook' so your "foo"
doesn't really do what you expected.

 > Help appreciated.  Is this a bug?  Shouldn't you be able to set the
 > window to be scrolled (using `scroll-other-window') during minibuffer
 > input to be some window other than *Completions*?  How can I do that?
 > Just where is `minibuffer-scroll-window' getting set and reset?  Thx.

Try doing

(add-hook 'temp-buffer-show-hook 'foo 'append)

instead.  Or write your own `temp-buffer-show-function'.

martin